#
# Conditional build:
%bcond_without	python2		# build python 2 module
%bcond_without	python3		# build python 3 module
#
%define 	module	bottle
#
Summary:	Fast and simple WSGI-framework for small web-applications
Summary(pl.UTF-8):	Szybki i prosty szkielet WSGI dla małych aplikacji sieciowych
Name:		python-%{module}
Version:	0.11.6
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/b/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	0bafdc4e13ea2b1a3bddf36b5af108c4
URL:		http://bottlepy.org
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bottle is a fast and simple micro-framework for small
web-applications. It offers request dispatching (Routes) with url
parameter support, Templates, a build-in HTTP Server and adapters for
many third party WSGI/HTTP-server and template engines. All in a
single file and with no dependencies other than the Python Standard
Library.

%description -l pl.UTF-8
Bottle jest szybkim i prostym szkieletem dla małych aplikcaji WSGI.
Oferuje mapowanie urli poprzez Routes wspierając urle z parametrami,
wzroce, wbudowany serwer HTTP i wtyczki dla wielu serwerów WSGI/HTTP i
silników wzorców. Wszystko w jednym pliku bez zalezności innych niż
standardowej biblioteki Pythona.

%package -n python3-%{module}
Summary:	Fast and simple WSGI-framework for small web-applications
Summary(pl.UTF-8):	Szybki i prosty szkielet WSGI dla małych aplikacji sieciowych
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{module}
Bottle is a fast and simple micro-framework for small
web-applications. It offers request dispatching (Routes) with url
parameter support, Templates, a build-in HTTP Server and adapters for
many third party WSGI/HTTP-server and template engines. All in a
single file and with no dependencies other than the Python Standard
Library.

%description -n python3-%{module} -l pl.UTF-8
Bottle jest szybkim i prostym szkieletem dla małych aplikcaji WSGI.
Oferuje mapowanie urli poprzez Routes wspierając urle z parametrami,
wzroce, wbudowany serwer HTTP i wtyczki dla wielu serwerów WSGI/HTTP i
silników wzorców. Wszystko w jednym pliku bez zalezności innych niż
standardowej biblioteki Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build -b build-2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/*.py
%{py3_sitescriptdir}/__pycache__
%{py3_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Sat Feb 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-bottle.git;a=log;h=master

* Sat Feb 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2e3285c
- updated to 0.11.6

* Wed Jan 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> f3d5deb
- updated to 0.11.5

* Thu Dec 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7e75e34
- updated to 0.11.4
- patch0 is obsoleted now

* Thu Dec 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> e4a1ad6
- obsoleted

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5330dcb
- release 2 (by relup.sh)

* Wed Jul 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> fa007e4
- updated to 0.10.11
- new homepage URL

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 4c21fd3
- Version: 0.9.5
- patch for setup.py to run with ASCII locale
- missing %build added
- package *.py and pycache for python3

* Sun Nov 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 06942a5
- build python 2 and python 3 version from one spec

* Sun Nov 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> fdb70ff
- updated to 0.8.5

* Thu Sep 16 2010 Mateusz Korniak <matkor@pld-linux.org> 88184db
- Killed BR, url.

* Thu Sep 16 2010 Mateusz Korniak <matkor@pld-linux.org> d9d42a7
- Initial version 0.8.3.

